Main Page Class Hierarchy Compound List File List Compound Members

# Setup Class Reference

`#include <lsetup.h>`

List of all members.

## Public Methods
void | Set_All_Layers_Visible ()
| set all layers visible
void | Set_All_Layers_Invisible ()
| set all layers invisible
void | Set_All_Layers_ReadOn ()
| set all layers readon
void | Set_All_Layers_ReadOff ()
| set all layers readoff
void | Set_All_Layers_Selectable ()
| set all visible layers selectable
void | Set_All_Layers_NotSelectable ()
| set all visible layers not selectable
bool | Get_UpdateAvailableLayers ()
| update layers available needed
## Protected Attributes
LayerInfo * | _layers [MAX_LAYERS]
| the array with layer information records

## Detailed Description

contains the setup for the layers, the setup contains for each layer number all settings like color, fill paterns etc.

See also:
  LayerInfo

The documentation for this class was generated from the following file:

- lsetup.h

Setup class Reference -- Thu Nov 28 21:24:57 2002 -- 28 Nov 2002 -- 1.2.18 -- -- . -- Main Page